using UnityEngine;
using System.Collections;

public class ImmunityAbility : Ability
{
    private float CONST_StatusDuration = 0.5f;
    private float CONST_Cooldown = 5.0f;
    private string CONST_Name = "Immunity";

    void Start()
    {
        Ready = true;
        SetInfo(CONST_Name, CONST_Cooldown);
        Icon = "icon-immunity";
    }

    public override void DoAction(Player _target)
    {
        _target.m_AffectingStatus.Add(new StatusImmunity(CONST_StatusDuration));
    }
}
